
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was kface-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/Kface-3.5.0" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################
set_and_check(Kface_INCLUDE_DIR ${PACKAGE_PREFIX_DIR}/include)
if(NOT TARGET Kface::kface)
  include(${CMAKE_CURRENT_LIST_DIR}/Kface-export.cmake)
endif()

set(Kface_LIBRARY Kface::kface)
set(Kface_LIBRARIES ${Kface_LIBRARY})

# set uppercase variables for compatibility
set(KFACE_FOUND TRUE)
set(KFACE_INCLUDE_DIR "${Kface_INCLUDE_DIR}")
set(KFACE_LIBRARIES "${Kface_LIBRARIES}")
set(KFACE_DEFINITIONS)
